edu.northwestern.at.morphadorner.corpuslinguistics.lexicon

## Class PennTreebankWordLexicon

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.AbstractLexicon
    - - edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.PennTreebankWordLexicon

- All Implemented Interfaces:
    Lexicon, IsCloseable, UsesLogger

      public class PennTreebankWordLexicon
      extends AbstractLexicon
      implements Lexicon, IsCloseable

  PennTreebankLexicon: Lexicon which uses Penn Treebank tags.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `pennTreebankLexiconPath` Resourch path to Penn Treebank lexicon.

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.AbstractLexicon

      `categoryCountsMap, lexiconMap, logger, longestEntryLength, partOfSpeechTags, shortestEntryLength, uniqueEntryCountForCategoryMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PennTreebankWordLexicon()` Create an empty lexicon.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNumberTag()` Get the part of speech tag for a number.
    `java.lang.String` | `getPluralNounTag()` Get the part of speech tag for a plural noun.
    `java.lang.String` | `getPluralProperNounTag()` Get the part of speech tag for a plural proper noun.
    `java.lang.String` | `getSingularNounTag()` Get the part of speech tag for a singular noun.
    `java.lang.String` | `getSingularProperNounTag()` Get the part of speech tag for a singular proper noun.

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.AbstractLexicon

      `checkCategoriesList, computeUniqueEntryCountsForCategories, containsEntry, getCategories, getCategoriesForEntry, getCategoriesForEntry, getCategoriesForEntry, getCategoryCount, getCategoryCount, getCategoryCounts, getCategoryCountsForEntry, getEntries, getEntryCount, getLargestCategory, getLemma, getLemma, getLemmata, getLexiconEntry, getLexiconSize, getLogger, getLongestEntryLength, getNumberOfCategories, getNumberOfCategoriesForEntry, getPartOfSpeechTags, getShortestEntryLength, getUniqueEntryCountForCategory, incrementUniqueEntryCountForCategory, loadLexicon, loadLexicon, removeEntry, removeEntryCategory, saveLexiconToTextFile, setLexiconEntry, setLogger, setPartOfSpeechTags, updateCategoryCount, updateEntryCount`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.lexicon.Lexicon

      `containsEntry, getCategories, getCategoriesForEntry, getCategoriesForEntry, getCategoriesForEntry, getCategoryCount, getCategoryCount, getCategoryCounts, getCategoryCountsForEntry, getEntries, getEntryCount, getLargestCategory, getLemma, getLemma, getLemmata, getLexiconEntry, getLexiconSize, getLongestEntryLength, getNumberOfCategories, getNumberOfCategoriesForEntry, getPartOfSpeechTags, getShortestEntryLength, loadLexicon, loadLexicon, removeEntry, removeEntryCategory, saveLexiconToTextFile, setLexiconEntry, setPartOfSpeechTags, updateEntryCount`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Field Detail

    - #### pennTreebankLexiconPath

          protected static final java.lang.String pennTreebankLexiconPath

      Resourch path to Penn Treebank lexicon.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PennTreebankWordLexicon

          public PennTreebankWordLexicon()
                                  throws java.io.IOException

      Create an empty lexicon.
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getSingularNounTag

          public java.lang.String getSingularNounTag()

      Get the part of speech tag for a singular noun.
      Returns:
        The part of speech tag for a singular noun.

    - #### getPluralNounTag

          public java.lang.String getPluralNounTag()

      Get the part of speech tag for a plural noun.
      Returns:
        The part of speech tag for a plural noun.

    - #### getSingularProperNounTag

          public java.lang.String getSingularProperNounTag()

      Get the part of speech tag for a singular proper noun.
      Returns:
        The part of speech tag for a singular proper noun.

    - #### getPluralProperNounTag

          public java.lang.String getPluralProperNounTag()

      Get the part of speech tag for a plural proper noun.
      Returns:
        The part of speech tag for a plural proper noun.

    - #### getNumberTag

          public java.lang.String getNumberTag()

      Get the part of speech tag for a number.
      Returns:
        The part of speech tag for a number.